<?php get_header();

?>

<div id="featured-wrapper">
  <div id="page-title">
    <h3><?php 

				if ( is_page() || is_single() ) the_title(); 
				else if ( is_category() ) echo "Category : ".single_cat_title('', false);
				else if ( is_tag() ) echo "Tag : ".single_tag_title('', false);
				else if ( is_year() ) the_time('Y');
				else if ( is_month() ) the_time('F, Y');
				else if ( is_day() ) the_time('F jS, Y');
				else if ( is_author() ) {
					$userdata = get_userdatabylogin(get_query_var('author_name'));
					echo "Author : ". $userdata->nickname;
				}

				?> </h3>
  </div>
</div>
<?php if(get_option("ht_breadcrumb_inner")=="false"): ?>
<div id="smallintro-wrapper">
  <div class="smallintro-single<?php if(get_option("ht_twitter_inner")!="false"){echo " no-intro";} ?>">
    <div id="breadcrumb">
      <?php if (class_exists('simple_breadcrumb')) { $bc = new simple_breadcrumb; }?>
    </div>
  </div>
</div>
<?php endif;?>
<?php if(get_option("ht_twitter_inner")=="false"): ?>
<div id="intro-wrapper">
  <div id="introbox" class="intro"> <a href="http://twitter.com/<?php echo get_option("ht_twitter_id");?>" title="Follow us"><img class="fr twitter-icon" src="<?php bloginfo("template_directory");?>/images/twitter_bird_icon_1.png" alt="" /></a>              <script type="text/javascript">  //<![CDATA[
   getTwitters('introbox', {
        id: '<?php echo get_option('ht_twitter_id');?>', 
        clearContents: false, // leave the original message in place
        count: 1, 
        withFriends: true,
        ignoreReplies: true,
        newwindow: true,
		 template: '<h4 class="tweet">%text% <span class="twitterTime"><a href="http://twitter.com/%user_screen_name%/statuses/%id%">%time%</a></span></h4> '
    });
       //]]>
    </script>
  </div><div class="intro-bottom"></div>
</div>
<?php endif;?>
<div id="wrapper" class="has-sidebar">
  <div id="content-wrapper">
    <div id="inner" class="<?php if(get_option("ht_breadcrumb_inner")!="false" && get_option("ht_twitter_inner")!="false") echo 'padding-top';?>">

      <div id="main">
        <ul id="entries">
      
        <?php if ( have_posts() ) : while ( have_posts() ) : the_post();

        $ht_portfolio_link = get_post_meta($post->ID, '_ht_portfolio_link', true);
        $ht_portfolio_vlink = get_post_meta($post->ID, '_ht_portfolio_vlink', true);
        	
        $image_id = get_post_thumbnail_id();
        $image_url = wp_get_attachment_image_src($image_id,'large');
        $image_url = $image_url[0];
        $gallery_image_url = ht_image_resize($height='201',$width='600',$image_url);
        	
        if(trim($ht_portfolio_vlink) <> ''){
        	$video_status = 'video';
        	$image_url = $ht_portfolio_vlink;
        }else{$video_status = 'zoom';}

        ?>
          <li id="post-<?php the_ID(); ?>" <?php post_class('postitem'); ?>>
            <h2><a href="<?php the_permalink();?>" title="<?php the_title_attribute();?>"><?php the_title();?></a></h2>
            <small class="meta">Posted <?php the_time('M jS, Y'); ?> By <?php the_author_posts_link(); ?>  in <?php the_category(", ");?> With <span>|</span> <?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?>
            </small>
            <?php if(trim($gallery_image_url) !=''){?>
            <a href="<?php echo $image_url;?>" title="" rel="prettyPhoto[gallery]" class="<?php echo $video_status; ?>"> <span class="frame post-image"> <img src="<?php echo $gallery_image_url;?>" alt="<?php the_title_attribute();?>" /></span> </a>
            <?php }?>
            <div class="entry">
              <?php the_excerpt();?>
              <div class="fix"></div>
            </div>
          </li>
          <?php endwhile;?>
        <?php else: ?>
        	<li class="postitem">
	            <div class="warning-box"><p>There's no post here yet!</p></div>
            </li>
        <?php endif;?>
          <li><?php wp_pagenavi();?> </li>
        </ul>
      </div>
      <?php get_sidebar();?>
      <div class="fix"></div>
    </div>
  </div>
</div>
<?php get_footer();?>
