<?php 

$slideshow_ids = get_option('ht_slideshow_ids');
$slideshow_ids = explode(',', $slideshow_ids);
$slideshow_content = strtolower(get_option("ht_slideshow_content")) ;
$slideshow_args=array(
	'post__in' => $slideshow_ids,
	'post_type' => $slideshow_content,
	'post_status' => 'publish',
	'posts_per_page' => count($slideshow_ids));

$my_query = null;
$my_query = new WP_Query($slideshow_args);


$slideshow = get_option("ht_slideshow_style");
switch ( $slideshow ) {
	case 'Default';
?>
<div id="featured-wrapper">
  <div id="featured-area">
    <div class="fl">
      <h3><?php if(trim(get_option("ht_featured_title")) <> ""){ echo stripslashes(get_option('ht_featured_title')); } else {?> Welcome to our site!<?php }?></h3>
      <div class="featured-text">
      <?php 
	  
	  $ht_featured_text = apply_filters('the_content', stripslashes(get_option('ht_featured_text')) );
	  if(trim(get_option("ht_featured_text")) <> ""){ echo $ht_featured_text; } else {?>
      Lorem Ipsum Dolor Integer nec arcu eget ante tempor venenatis
        eleifend dui. Praesent enim <a href="#">quam</a>, bibendum quis tincidunt vel,
        lacinia eu dolor? Sed consectetur amet. 
        Lorem Ipsum Dolor Integer nec arcu eget ante tempor venenatis
      <p><a href="#" class="button-link"><span>Button 1</span></a>  <a href="#" class="button-link"><span>Button 2</span></a> </p>
		<?php }?>
</div>
    </div>
    <div class="fr">
      <div id="slideshow">
        <div class="small-ieffect">
          <div class="slider-btns">
          <?php if($my_query->have_posts() && count($slideshow_ids)>1):?>
            <ul class="pagination">
             <?php for($i=0; $i<count($slideshow_ids); $i++):?>
              <li>
              <a href="#"><img src="<?php bloginfo("template_directory"); ?>/images/transparent.png" width="16" height="16" alt="a" />
              </a>
              </li>
			<?php endfor;?>
        
            </ul>
            <?php endif;?>
          </div>
        </div>
        <div class="slides">
          
                    <?php if($my_query->have_posts()):?>
                    <?php 
					while($my_query->have_posts()): $my_query->the_post();
						$image_id = get_post_thumbnail_id();  
 		  				$image_url = wp_get_attachment_image_src($image_id,'large');  
 		  				$image_url = $image_url[0];  
						$gallery_image_url = ht_image_resize($height='312',$width='522',$image_url);
					
					?>

            <div class="slide" <?php if(count($slideshow_ids)==1) echo'style="display:block"';?>>
            <a title="<?php the_title_attribute();?>" href="<?php the_permalink();?>"><img alt="<?php the_title_attribute();?>" src="<?php echo $gallery_image_url;?>" />
            </a></div>
            
            <?php endwhile;?>
            <?php endif;?>
          
        </div>
      </div>
      
    </div>
  </div>
</div>
<?php 
break;
case 'Full - Default';
?>
<div id="featured-wrapper">
  <div id="featured-area">
  
    <div class="full">
      <div id="slideshow">
        <div class="big-ieffect">
          <div class="slider-btns">
             <?php if($my_query->have_posts() && count($slideshow_ids)>1):?>
            <ul class="pagination">
             <?php for($i=0; $i<count($slideshow_ids); $i++):?>
              <li>
              <a href="#"><img src="<?php bloginfo("template_directory"); ?>/images/transparent.png" width="16" height="16" alt="a" />
              </a>
              </li>
			<?php endfor;?>
            </ul>
            <?php endif;?>
          </div>
        </div>
        <div class="container">
          <div class="slides">
                    <?php if($my_query->have_posts()):?>
                    <?php 
					while($my_query->have_posts()): $my_query->the_post();
						$image_id = get_post_thumbnail_id();  
 		  				$image_url = wp_get_attachment_image_src($image_id,'large');  
 		  				$image_url = $image_url[0];  
						$gallery_image_url = ht_image_resize($height='312',$width='940',$image_url);
					?>

            <div class="slide" <?php if(count($slideshow_ids)==1) echo'style="display:block"';?>>
            <a title="<?php the_title_attribute();?>" href="<?php the_permalink();?>"><img alt="<?php the_title_attribute();?>" src="<?php echo $gallery_image_url;?>" />
            </a></div>
            
            <?php endwhile;?>
            <?php endif;?>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<?php 
break;
case 'Full - Shadow';
?>
<div id="featured-wrapper">
  <div id="featured-area">
  
    <div class="full">
      <div id="slideshow" class="noborder">
        <div class="big-shodow">
        <div class="slider-btns">
             <?php if($my_query->have_posts() && count($slideshow_ids)>1):?>
            <ul class="pagination">
             <?php for($i=0; $i<count($slideshow_ids); $i++):?>
              <li>
              <a href="#"><img src="<?php bloginfo("template_directory"); ?>/images/transparent.png" width="16" height="16" alt="a" />
              </a>
              </li>
			<?php endfor;?>
            </ul>
            <?php endif;?>
          </div>
        </div>
        
        <div class="container">
          <div class="slides">
                    <?php if($my_query->have_posts()):?>
                    <?php 
					while($my_query->have_posts()): $my_query->the_post();
						$image_id = get_post_thumbnail_id();  
 		  				$image_url = wp_get_attachment_image_src($image_id,'large');  
 		  				$image_url = $image_url[0];  
						$gallery_image_url = ht_image_resize($height='312',$width='940',$image_url);
					?>
			
            <div class="slide" <?php if(count($slideshow_ids)==1) echo'style="display:block;z-index:3;"';?>>
            <div class="slide-caption opacity"><h3><?php the_title();?></h3>
            <p><?php echo ht_excerpt(200, '');?></p>
           <a href="<?php the_permalink();?>" class="button-link"><span>Learn More</span></a>
            </div>
            <a title="<?php the_title_attribute();?>" href="<?php the_permalink();?>"><img alt="<?php the_title_attribute();?>" src="<?php echo $gallery_image_url;?>" />
            </a></div>
            
            <?php endwhile;?>
            <?php endif;?>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<?php 
break;

}
?>