<?php get_header();

//getting ht page type
$ht_page_type = get_post_meta($post->ID, '_ht_page_type', true);
$ht_page_type_category = get_post_meta($post->ID, '_ht_page_type_category', true);
$ht_item_number = get_post_meta($post->ID, '_ht_item_number', true);

if($ht_page_type == 'blog') {

		include (TEMPLATEPATH . "/includes/tpl-blog.php");
		exit;		
}
elseif ($ht_page_type == 'portfolio') {
	//select portfolio layout
	$ht_portfolio_layout = get_post_meta($post->ID, '_ht_portfolio_layout', true);
	
	if(!is_numeric($ht_item_number) || !isset($ht_item_number)) {
		$ht_item_number = 9;
	}

	
	if($ht_portfolio_layout == '1c') {
		
		include (TEMPLATEPATH . "/includes/tpl-portfolio-1col.php");
		exit;
		
	}
	elseif($ht_portfolio_layout == '2c') {

		include (TEMPLATEPATH . "/includes/tpl-portfolio-2col.php");
		exit;

	}
	elseif($ht_portfolio_layout == '3c') {

		include (TEMPLATEPATH . "/includes/tpl-portfolio-3col.php");
		exit;

	}
	elseif($ht_portfolio_layout == '4c' ) {

		include (TEMPLATEPATH . "/includes/tpl-portfolio-4col.php");
		exit;

	}
	elseif($ht_portfolio_layout == '5c') {

		include (TEMPLATEPATH . "/includes/tpl-portfolio-5col.php");
		exit;

	}
	else {
		
		include (TEMPLATEPATH . "/includes/tpl-portfolio-3col.php");
		exit;		
		
	}

}
else {
	// show general page

?>
<div id="featured-wrapper">
  <div id="page-title">
    <h3>
      <?php the_title(); ?>
    </h3>
  </div>
</div>
<?php if(get_option("ht_breadcrumb_inner")=="false"): ?>
<div id="smallintro-wrapper">
  <div class="smallintro-single<?php if(get_option("ht_twitter_inner")!="false"){echo " no-intro";} ?>">
    <div id="breadcrumb">
      <?php if (class_exists('simple_breadcrumb')) { $bc = new simple_breadcrumb; }?>
    </div>
  </div>
</div>
<?php endif;?>
<?php if(get_option("ht_twitter_inner")=="false"): ?>
<div id="intro-wrapper">
<div id="introbox" class="intro"> <a href="http://twitter.com/<?php echo get_option("ht_twitter_id");?>" title="Follow us"><img class="fr twitter-icon" src="<?php bloginfo("template_directory");?>/images/twitter_bird_icon_1.png" alt="" /></a>              <script type="text/javascript">  //<![CDATA[
   getTwitters('introbox', {
        id: '<?php echo get_option('ht_twitter_id');?>', 
        clearContents: false, // leave the original message in place
        count: 1, 
        withFriends: true,
        ignoreReplies: true,
        newwindow: true,
		 template: '<h4 class="tweet">%text% <span class="twitterTime"><a href="http://twitter.com/%user_screen_name%/statuses/%id%">%time%</a></span></h4> '
    });
       //]]>
    </script>
  </div><div class="intro-bottom"></div>
</div>
<?php endif;?>
<?php  $sidebar_align = get_post_meta($post->ID,'sidebar_alignment',true); ?>
<div id="wrapper" class="has-<?php if($sidebar_align=="Left") echo 'left'; ?>sidebar">
  <div id="content-wrapper">
    <div id="inner" class="<?php if(get_option("ht_breadcrumb_inner")!="false" && get_option("ht_twitter_inner")!="false") echo 'padding-top';?>">

      <div id="main">
        <ul id="entries">
          <?php if ( ! have_posts() ) : ?>
          <li class="post error404 not-found">
            <h2>
              <?php _e( 'Not Found' ); ?>
            </h2>
            <div class="entry">
              <small class="meta">
                <?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'twentyten' ); ?>
              </small>
              <?php get_search_form(); ?>
            </div>
          </li>
          <?php endif; ?>
          <?php if (have_posts()) : ?>
          <?php while (have_posts()) :the_post(); 
		  
		    $image_id = get_post_thumbnail_id();
          $image_url = wp_get_attachment_image_src($image_id,'large');
          $image_url = $image_url[0];
          $gallery_image_url = ht_image_resize($height='201',$width='600',$image_url);
           
          if(trim($ht_portfolio_vlink) <> ''){
          	$video_status = 'video';
          	$image_url = $ht_portfolio_vlink;
          }else{$video_status = 'zoom';}

		  ?>
          <li id="post-<?php the_ID(); ?>" <?php post_class('postitem'); ?>>
                      <?php if(trim($gallery_image_url) !=''){?>
            <a href="<?php echo $image_url;?>" title="" rel="prettyPhoto[gallery]" class="<?php echo $video_status; ?>"> <span class="frame post-image"> <img src="<?php echo $gallery_image_url;?>" alt="<?php the_title_attribute();?>" /></span> </a>
            <?php }?>
                      
                      <div class="entry">
                      
              <?php the_content();?>
              <div class="fix"></div>
            </div>
          </li>
          <?php endwhile;?>
        <?php else: ?>
        	<li class="postitem">
	            <div class="warning-box"><p>There's no post here yet!</p></div>
            </li>
        <?php endif;?>
        </ul>
      </div>
      <?php get_sidebar();?>
      <div class="fix"></div>
    </div>
  </div>
</div>
<?php get_footer();
}
?>
