<?php 
/*
Template Name: Contact Page
*/
get_header(); ?>
<div id="featured-wrapper">
  <div id="page-title">
    <h3>
      <?php the_title(); ?>
    </h3>
  </div>
</div>
<?php if(get_option("ht_breadcrumb_inner")=="false"): ?>
<div id="smallintro-wrapper">
  <div class="smallintro-single<?php if(get_option("ht_twitter_inner")!="false"){echo " no-intro";} ?>">
    <div id="breadcrumb">
      <?php if (class_exists('simple_breadcrumb')) { $bc = new simple_breadcrumb; }?>
    </div>
  </div>
</div>
<?php endif;?>
<?php if(get_option("ht_twitter_inner")=="false"): ?>
<div id="intro-wrapper">
  <div id="introbox" class="intro"> <a href="http://twitter.com/<?php echo get_option("ht_twitter_id");?>" title="Follow us"><img class="fr twitter-icon" src="<?php bloginfo("template_directory");?>/images/twitter_bird_icon_1.png" alt="" /></a>              <script type="text/javascript">  //<![CDATA[
   getTwitters('introbox', {
        id: '<?php echo get_option('ht_twitter_id');?>', 
        clearContents: false, // leave the original message in place
        count: 1, 
        withFriends: true,
        ignoreReplies: true,
        newwindow: true,
		 template: '<h4 class="tweet">%text% <span class="twitterTime"><a href="http://twitter.com/%user_screen_name%/statuses/%id%">%time%</a></span></h4> '
    });
       //]]>
    </script>
  </div><div class="intro-bottom"></div>
</div>
<?php endif;?>
<?php  $sidebar_align = get_post_meta($post->ID,'sidebar_alignment',true); ?>
<div id="wrapper" class="has-<?php if($sidebar_align=="Left") echo 'left'; ?>sidebar">
  <div id="content-wrapper">
    <div id="inner" class="<?php if(get_option("ht_breadcrumb_inner")!="false" && get_option("ht_twitter_inner")!="false") echo 'padding-top';?>">

      <div id="main">
        <ul id="entries">
          <?php if ( ! have_posts() ) : ?>
          <li class="post error404 not-found">
            <h2>
              <?php _e( 'Not Found' ); ?>
            </h2>
            <div class="entry">
              <p>
                <?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'twentyten' ); ?>
              </p>
              <?php get_search_form(); ?>
            </div>
          </li>
          <?php endif; ?>
          <?php if (have_posts()) : ?>
          <?php while (have_posts()) :the_post(); ?>
          <li id="post-<?php the_ID(); ?>" <?php post_class('postitem'); ?>>
            <div class="entry">
              <?php the_content();?>
              <div class="log"></div>
              <form action="<?php the_permalink();?>" class="horizform" method="post" id="contactform">
                <div class="personal-data">
                  <p>
                    <label for="fullname">Full name</label>
                    <input type="text" name="fullname" id="fullname" tabindex="1" class="txt required" value="" />
                  </p>
                  <p>
                    <label for="email">Email</label>
                    <input type="text" name="email" id="email" tabindex="2" value="" class="txt required" />
                  </p>
                  <p>
                    <label for="url">Website URL</label>
                    <input type="text" name="url" id="url" tabindex="3" value="" class="txt" />
                  </p>
                </div>
                <div class="form-data">
                  <p>
                    <label for="form_message">Comment</label>
                    <textarea rows="9" cols="10" id="form_message" class="required" name="form_message" tabindex="4" ></textarea>
                  </p>
                </div>
                <p>
                  <input type="hidden" id="sendContac" name="sendContact" value="send" />
                  <input type="submit" id="submit" class="ibutton" name="submit" value="Send Message" />
                </p>
              </form>
              <div class="loading"><img src="<?php bloginfo("template_directory"); ?>/images/ajax-loader.gif" alt="loading..." /></div>
              <div class="fix"></div>
            </div>
          </li>
          <?php endwhile;?>
          <?php endif;?>
        </ul>
      </div>
      <?php get_sidebar();?>
      <div class="fix"></div>
    </div>
  </div>
</div>
<?php get_footer();?>
