<?php
/*
Template Name: Homepage
*/
?>
<?php get_header();?>
<?php include TEMPLATEPATH . "/includes/slideshow.php"?>
<div id="smallintro-wrapper">
  <div class="smallintro">
    <?php if(get_option("ht_slideshow_style")=='Default'){ ?>
    <a class="tfollow" href="http://twitter.com/<?php echo get_option('ht_twitter_id');?>">FOLLOW US</a>
    <div class="twitter"> <img class="fl" src="<?php bloginfo("template_directory"); ?>/images/twitter_bird_icon.png" alt="" />

          <script type="text/javascript">
		  //<![CDATA[
   getTwitters('teaser-twitter', {
        id: '<?php echo get_option('ht_twitter_id');?>', 
        clearContents: false, // leave the original message in place
        count: 1, 
        withFriends: true,
        ignoreReplies: true,
        newwindow: true,
		 template: '%text% <span class="twitterTime"><a href="http://twitter.com/%user_screen_name%/statuses/%id%">%time%</a></span> '
    });
    //]]>
  </script>
          <div id="teaser-twitter"></div>
    </div>
    <?php }?>
  </div>
</div>
<?php if(get_option("ht_cta_status") == "false"){?>
<div id="intro-wrapper">
  <div class="intro">
    <?php if(trim(get_option("ht_cta_text")) !=""){ ?>
    <a class="cta-button fr" href="<?php echo stripslashes(get_option("ht_cta_link"));?>"><span><?php if(trim(get_option('ht_cta_button')) !="") echo stripslashes(get_option('ht_cta_button')); else echo 'Get Started!';?></span></a>
        <h2><?php echo stripslashes(get_option("ht_cta_text"));?></h2>

    <?php }else{ ?>
    <a class="cta-button fr fade" href="<?php echo stripslashes(get_option("ht_cta_link"));?>"><span>get Started!</span></a>
        <h2>Welcome to sleex, the  premium wordpress theme for portfolio and business websites </h2>

    <?php }?>
  </div>
  <div class="intro-bottom"></div>
</div>
<?php }

?>
<?php if (have_posts()) : the_post(); $sidebar_align = get_post_meta($post->ID,'sidebar_alignment',true); endif; rewind_posts();?>
<div id="wrapper" class="has-<?php if($sidebar_align=="Left") echo 'left'; ?>sidebar">
  <div id="content-wrapper">
    <div id="inner" class="<?php if(get_option("ht_cta_status")!="false" ) echo 'padding-top';?>">

      <div id="main">
        <?php if (have_posts()) : the_post();?>
        <div class="welcome">
          <h2>
            <?php the_title();?>
          </h2>
          <div class="entry">
            <?php the_content();?>
          </div>
        </div>
        <?php endif;?>
        <?php
        $mini_featured_ids = get_option('ht_mini_featured_ids');
        $mini_featured_ids = explode(',', $mini_featured_ids);

        $args=array(
      	'post__in' => $mini_featured_ids,
      	'post_type' => 'page',
      	'post_status' => 'publish',
		'order' => 'ASC',
	  	'posts_per_page' => count($mini_featured_ids));
        
        $my_query = null;
        $my_query = new WP_Query($args);
        ?>
        <?php if ($my_query->have_posts()) : ?>
        <?php while ($my_query->have_posts()) : $my_query->the_post();?>
        <?php $image =  get_post_meta($post->ID, 'mini-icon', true); ?>
        <div class="feature">
          <?php if(trim($image)!=""){?>
          <img class="fl" src="<?php echo $image;?>" alt="" />
          <?php }?>
          <div <?php if(trim($image)==""){echo 'style="padding-left:0;margin-left:0" ';}?> class="content">
            <h2>
              <?php the_title();?>
            </h2>
            <?php the_excerpt();?>
          </div>
        </div>
        <?php endwhile;
		  endif;
		
		  ?>
      </div>
      <?php get_sidebar();?>
      <div class="fix"></div>
    </div>
  </div>
</div>
<?php get_footer();?>
