<?php
/*
 * Highthemes.com Admin Framework
 * Twitter ID: theHighThemes
 */

// Getting Wordpress pages list
$ht_pages = array();
$ht_pages_obj = get_pages();    
foreach ($ht_pages_obj as $ht_page) {
    	$ht_pages[$ht_page->ID] = $ht_page->post_title;
}

// Getting Wordpress categoris list
$categories = array();  
$categories_obj = get_categories('hide_empty=0');
foreach ($categories_obj as $highcat) {
		$categories[$highcat->cat_ID] = $highcat->cat_name;
}


/*
 * Defining meta boxes
*/
$hight_options['general'][] = array(	"name" => "General",
					"id" => "ht_general_settings",
					"context" => "normal",
					"type" => "heading");

$hight_options['homepage_general'][] = array(	"name" => "Homepage",
					"id" => "ht_homepagegeneral_settings",
					"context" => "normal",
					"type" => "heading");

$hight_options['sliders'][] = array(	"name" => "Slideshow",
					"id" => "ht_slideshow_settings",
					"context" => "normal",
					"type" => "heading");


$hight_options['blog'][] = array(	"name" => "Blog",
					"id" => "ht_blog_settings",
					"context" => "normal",
					"type" => "heading");



$hight_options['contact'][] = array(	"name" => "Contact Page",
					"id" => "ht_contact_settings",
					"context" => "normal",
					"type" => "heading");



$hight_options['accounts'][] = array(	"name" => "Accounts",
					"id" => "ht_accounts_settings",
					"context" => "side",
					"type" => "heading");



/*
 * Generating form fields
 */



/*
 * Accounts Options
 */
$hight_options['accounts'][] = array(	"name" => "Feedburner:",
					"desc" => "Enter your Feedburner URL here. (Feedburner or other)",
					"id" => $shortname."_feedburner_url",
					"std" => "",
					"type" => "text","options" => array(
"class" => ""));		
					
$hight_options['accounts'][] = array(	"name" => "Twitter ID:",
					"desc" => "Enter your <strong>Twitter ID </strong>here.",
					"id" => $shortname."_twitter_id",
					"std" => "",
					"type" => "text","options" => array(
"class" => ""));		
													
$hight_options['accounts'][] = array(	"name" => "Facebook:",
					"desc" => "Enter your Facebook page URL here.",
					"id" => $shortname."_facebook_url",
					"std" => "",
					"type" => "text","options" => array(
"class" => ""));		
													
$hight_options['accounts'][] = array(	"name" => "LinkedIn:",
					"desc" => "Enter your LinkedIn Profile URL here.",
					"id" => $shortname."_linkedin_profile_url",
					"std" => "",
					"type" => "text","options" => array(
"class" => ""));	

$hight_options['accounts'][] = array(	"name" => "Flickr:",
					"desc" => "Enter your Flickr Profile URL here.",
					"id" => $shortname."_flickr_profile_url",
					"std" => "",
					"type" => "text","options" => array(
"class" => ""));	


$hight_options['accounts'][] = array(	"name" => "Digg:",
					"desc" => "Enter your Digg Profile URL here.",
					"id" => $shortname."_digg_profile_url",
					"std" => "",
					"type" => "text","options" => array(
"class" => ""));


$hight_options['accounts'][] = array(	"name" => "Delicious:",
					"desc" => "Enter your Delicious Profile URL here.",
					"id" => $shortname."_delicious_profile_url",
					"std" => "",
					"type" => "text","options" => array(
"class" => ""));


$hight_options['accounts'][] = array(	"name" => "YouTube:",
					"desc" => "Enter your YouTube Profile URL here.",
					"id" => $shortname."_youtube_profile_url",
					"std" => "",
					"type" => "text","options" => array(
"class" => ""));


/*
 * General Options
 */
$hight_options['general'][] = array(	"name" => "Logo",
					"desc" => "Specify the image address of your online logo. (http://yoursite.com/logo.png)",
					"id" => $shortname."_logo_url",
					"std" => "",
					"type" => "text");

$hight_options['general'][] = array(	"name" => "Favicon",
					"desc" => "16px x 16px image that will represent your website's favicon.",
					"id" => $shortname."_favicon_url",
					"std" => "",
					"type" => "text");

$hight_options['general'][] = array(	"name" => "Tracking Code",
					"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
					"id" => $shortname."_google_analytics",
					"std" => "",
					"type" => "textarea", "options" => array(
"rows" => "5",
"cols" => "64"));		


$hight_options['general'][] = array(	"name" => "Copyright Text",
					"desc" => "Enter your copyright text here.",
					"id" => $shortname."_copyright_text",
					"std" => "",
					"type" => "text");	

$hight_options['general'][] = array(	"name" => "Theme Stylesheet",
					"desc" => "Select your color scheme here.",
					"id" => $shortname."_theme_stylesheet",
					"std" => "",
					"type" => "select", "options" => array("default", "Black", "Brown", "Pink", "Green", "Red", "Silver", "Grey", "Orange", "Blue"));
	

$hight_options['general'][] = array(	"name" => "Disable Twitter for inner pages?",
					"desc" => "If you want to disable twitter for inner pages, check this box.",
					"id" => $shortname."_twitter_inner",
					"std" => "false",
					"type" => "checkbox");	


$hight_options['general'][] = array(	"name" => "Disable Breadcrumb?",
					"desc" => "If you want to disable breadcrumb, check this box.",
					"id" => $shortname."_breadcrumb_inner",
					"std" => "false",
					"type" => "checkbox");	

$hight_options['general'][] = array(	"name" => "Disable Cufon?",
					"desc" => "If you want to disable Cufon font replacement, check this box.",
					"id" => $shortname."_cufon_status",
					"std" => "false",
					"type" => "checkbox");	

$hight_options['general'][] = array(	"name" => "Cufon Headings Font",
					"desc" => "Select your headings font here.",
					"id" => $shortname."_cufon_font",
					"std" => "",
					"type" => "select", "options" => array("Josefin Sans","Cardo","Droid Sans","Cantarell","Vollkorn","Dejavu Sans","DejaVu Serif"));

$hight_options['general'][] = array(	"name" => "Footer Columns",
					"desc" => "Specify the number of footer blocks.",
					"id" => $shortname."_footer_blocks",
					"std" => "5",
					"type" => "select", "options" => array("2", "3", "4", "5"));

/*
 * Homepage Options
 */

$hight_options['homepage_general'][] = array(	"name" => "Teaser",
					"desc" => "Enter the Text that should be displayed beside the front page slider.",
					"std" => "",
					"type" => "sub_heading");	

$hight_options['homepage_general'][] = array(	"name" => "Teaser Title",
					"desc" => "Enter your desired title.",
					"id" => $shortname."_featured_title",
					"std" => "",
					"type" => "text");

$hight_options['homepage_general'][] = array(	"name" => "Teaser Text",
					"desc" => "Write a few lines about what you want to introduce in the Teaser.",
					"id" => $shortname."_featured_text",
					"std" => "",
					"type" => "textarea", "options" => array(
"rows" => "5",
"cols" => "64"));		


$hight_options['homepage_general'][] = array(	"name" => "Call-To-Action",
					"desc" => "Here you can enter your call-to-action text.",
					"std" => "",
					"type" => "sub_heading");	


$hight_options['homepage_general'][] = array(	"name" => "Disable Call-to-action?",
					"desc" => "If you want to disable call-to-action box, check this box.",
					"id" => $shortname."_cta_status",
					"std" => "false",
					"type" => "checkbox");	

$hight_options['homepage_general'][] = array(	"name" => "<abbr title=\"Call to action\">CTA</abbr> Text",
					"desc" => "Enter your desired text for call to action button.",
					"id" => $shortname."_cta_text",
					"std" => "",
					"type" => "text");

$hight_options['homepage_general'][] = array(	"name" => "<abbr title=\"Call to action\">CTA</abbr> Button Title",
					"desc" => "Enter a title for <abbr title=\"Call to action\">CTA</abbr> button.",
					"id" => $shortname."_cta_button",
					"std" => "",
					"type" => "text");

$hight_options['homepage_general'][] = array(	"name" => "<abbr title=\"Call to action\">CTA</abbr> Button LinK",
					"desc" => "Enter a link address for the call-to-action button.",
					"id" => $shortname."_cta_link",
					"std" => "",
					"type" => "text");




$hight_options['homepage_general'][] = array(	"name" => "Mini Featuered Contents",
					"desc" => "Here you can select the pages you would like to be shown as mini featured contents on homepage.",
					"std" => "",
					"type" => "sub_heading");	

$hight_options['homepage_general'][] = array(	"name" => "Mini Featured Pages",
					"desc" => "Enter a comma-separated list of <a href=\"http://support.wordpress.com/pages/8/\" >ID's</a> that you'd like to be shown as mini featured content on homepage. (e.g. 1,13,42,4)",
					"id" => $shortname."_mini_featured_ids",
					"std" => "",
					"type" => "text");




/*
 * Slideshow Options
 */
$hight_options['sliders'][] = array(	"name" => "Slideshow Styles",
					"desc" => "Choose your desired style.",
					"id" => $shortname."_slideshow_style",
					"std" => "",
					"type" => "select", "options" => array("Default", "Full - Default", "Full - Shadow"));

$hight_options['sliders'][] = array(	"name" => "Select Image Slider Source",
					"desc" => "Select Image Slider Source",
					"id" => $shortname."_slideshow_content",
					"std" => "",
					"type" => "select", "options" => array("Post", "Page"));

$hight_options['sliders'][] = array(	"name" => "Featured (posts or pages):",
					"desc" => "Enter a comma-separated list of <a href=\"http://support.wordpress.com/pages/8/\" >ID's</a> that you'd like to be shown on homepage's slideshow. (e.g. 1,13,42,4). Note that you must enter Posts' IDs or Pages' IDs separately.",
					"id" => $shortname."_slideshow_ids",
					"std" => "",
					"type" => "text");

$hight_options['sliders'][] = array(	"name" => "Slider Transition Speed:",
					"desc" => "Enter transition speed in miliseconds.",
					"id" => $shortname."_slideshow_speed",
					"std" => "",
					"type" => "text");




/*
 * Blog Options
 */


$hight_options['blog'][] = array(	"name" => "Disable About Author?",
					"desc" => "If you want to disable about author, check this box.",
					"id" => $shortname."_authorbox_status",
					"std" => "false",
					"type" => "checkbox");	

$hight_options['blog'][] = array(	"name" => "Disable Related Posts?",
					"desc" => "If you want to disable related posts, check this box.",
					"id" => $shortname."_relatedposts_status",
					"std" => "false",
					"type" => "checkbox");	

$hight_options['blog'][] = array(	"name" => "Exclude Categroies",
					"desc" => "Enter a comma-separated list of <a href=\"http://www.wprecipes.com/how-to-find-wordpress-category-id\" >ID's</a> that you'd like to be excluded from blog. (e.g. 1,13,42,4)",
					"id" => $shortname."_excluded_cats",
					"std" => "",
					"type" => "text");




/*
 * Contact Page Options
 */


$hight_options['contact'][] = array(	"name" => "Your email address",
					"desc" => "Enter your E-mail address to use on the Contact Page Template.",
					"id" => $shortname."_email_address",
					"std" => "",
					"type" => "text");	




?>