<?php
$hight_options['sidebar'][] = array();	
$hight_options['sidebar'][] = array(	"name" => "Sidebar Name:",
					"desc" => "Enter a name for the new sidebar.",
					"id" => $shortname."_sidebar_name",
					"std" => "",
					"type" => "text");	



function ht_sidebars_page(){
	global $sidehook, $sidebar_options, $shortname, $wpdb;
	
	if(isset($_POST['Submit'])){
		
		$get_sidebar_options = ht_sidebar_generator::get_sidebars();
		$sidebar_name = str_replace(array("\n","\r","\t"),'',$_POST['ht_sidebar_name']);
		$sidebar_id = ht_sidebar_generator::name_to_class($sidebar_name);
		if($sidebar_id == '' ){
			$options_sidebar = $get_sidebar_options;
		}else{
			if(isset($get_sidebar_options[$sidebar_id])){
				header("Location: admin.php?page=sidebars&error=true$hidden_anchor");	
				die;
			}
			if ( is_array($get_sidebar_options) ) {
				$new_sidebar_gen[$sidebar_id] = $sidebar_id;
				$options_sidebar = array_merge($get_sidebar_options, (array) $new_sidebar_gen);	
			}else{
				$options_sidebar[$sidebar_id] = $sidebar_id;
			}		
		 }
		update_option( $shortname.'_sidebar_generator', $options_sidebar);
		header("Location: admin.php?page=sidebars$send&saved=true$hidden_anchor");
		die;	
	}
	
	if(isset($_GET['sn'])){
		$sidebar_id = $_GET['sn'];
		$get_sidebar_options = ht_sidebar_generator::get_sidebars();
		$sidebar_name = str_replace(array("\n","\r","\t"),'',$sidebar_id);
		$sidebar_id = ht_sidebar_generator::name_to_class($sidebar_name);	
		
		if(in_array($sidebar_id, $get_sidebar_options)){
			
			unset($get_sidebar_options[$sidebar_id]);
			update_option( $shortname.'_sidebar_generator', $get_sidebar_options);
			
			
			//
		$get_widgets = wp_get_sidebars_widgets();
		unset( $get_widgets['array_version'] );

		$before_delete = true; $i=0;
		foreach ($get_widgets as $key => $value) {
			if( !preg_match('/ht_sidebar-([0-9]+)/', $key) ) {
				$update_widgets[$key] = $value;			
			}
			if( preg_match('/ht_sidebar-([0-9]+)/', $key) ) {
			if($key == "ht_sidebar-$sidebar_id") {
				$before_delete = false; $inactive_widgets = $value; }
			if( ($key != "ht_sidebar-$sidebar_id") && ($before_delete == true) ) {
				$update_widgets[$key] = $value; }		
			if( ($key != "ht_sidebar-$sidebar_id") && ($before_delete == false) ) {
				$update_widgets['ht_sidebar-'.$i] = $value; }
			$i++;
			}
		}
		
		$update_widgets['wp_inactive_widgets'] = array_merge((array)$inactive_widgets, (array) $update_widgets['wp_inactive_widgets']);
		wp_set_sidebars_widgets($update_widgets);
			//
			
		$sidebar_meta = $wpdb->get_results("SELECT post_id FROM $wpdb->postmeta WHERE meta_value = '$sidebar_id'", ARRAY_A);
		if($sidebar_meta){
		if ( is_array($sidebar_meta) ){
			foreach ($sidebar_meta as $key => $value) {
				delete_post_meta($value['post_id'], 'selected_sidebar');
			}
		}
		}
		else
		{
			header("Location: admin.php?page=sidebars");	
		}
		
		
		}
		
	}
	
	
	
	
	wp_enqueue_script('common');
	wp_enqueue_script('wp-lists');
	wp_enqueue_script('postbox');
	add_meta_box('ht_add_sidebars', 'Add New Sidebars', 'ht_add_sidebars', $sidehook, 'normal', 'high');
		
	
}

function ht_add_sidebars()
{
	global $hight_options;
	echo highthemes_generate_fields($hight_options['sidebar']);
	?>
<table class="form-table">
<tbody>
<tr valign="top" style="">
					<th scope="row">&nbsp;
			</th>
			
			<td>
			<span >&nbsp;</span>
			</td>
			</tr>

<tr valign="top" style="background:#eee;border-bottom:1px solid #999">
					<th scope="row"><strong>
			Custom Sidebars</strong></th>
			<td>
			<span class="description">Here's the list of available sidebars</span>
			</td>
			</tr>   
            
<?php 
$get_sidebar_options = ht_sidebar_generator::get_sidebars();
$i=0;
if(count($get_sidebar_options)>0 && is_array($get_sidebar_options)){
foreach ($get_sidebar_options as $sidebar_gen) { ?>
			<tr valign="top">
			<th scope="row"><?php echo $sidebar_gen; ?></th>
			<td>
			<span class="description"><input type="button" onClick="window.location='admin.php?page=sidebars&sn=<?php echo $sidebar_gen; ?>';"  class="button" value="Delete" /></span>
			</td>
			</tr>                 
            
 <?php $i++;
 } }?>              
</tbody>
</table>
    <?php
}
function hight_sidebars() {
	global $screen_layout_columns, $sidehook, $theme_name;
	?>

<div class="wrap">
<div class="icon32" id="hight-icon"><br />
</div>
<h2>HighThemes <?php echo $theme_name;?> Sidebars</h2>
<?php if(isset($_REQUEST['saved']) && $_REQUEST['saved']=='true'){ ?>
<div class="updated fade" id="message"
	style="background-color: rgb(255, 251, 204);">
<p><strong>Settings saved.</strong></p>
</div>
<?php }?>
<form method="post" action=""><?php
?> <?php wp_nonce_field('closedpostboxes', 'closedpostboxesnonce', false ); ?>
<?php wp_nonce_field('meta-box-order', 'meta-box-order-nonce', false ); ?>
<input type="hidden" name="action" value="ht_save_options" />
<div id="poststuff"	class="metabox-holder<?php echo 2 == $screen_layout_columns ? ' has-right-sidebar' : ''; ?>">
<div id="side-info-column" class="inner-sidebar"><?php do_meta_boxes($sidehook, 'side', NULL); ?>
</div>
<div id="post-body" class="has-sidebar">
<div id="post-body-content" class="has-sidebar-content">
<?php do_meta_boxes($sidehook, 'normal', NULL); ?>
<p><input type="submit" value="Add New Sidebar" class="button-primary" name="Submit" /></p>
</div>
</div>
<br class="clear" />
</div>
</form>
</div>
<script type="text/javascript">
		//<![CDATA[
		jQuery(document).ready( function($) {
			// close postboxes that should be closed
			$('.if-js-closed').removeClass('if-js-closed').addClass('closed');
			// postboxes setup
			postboxes.add_postbox_toggles('<?php echo $sidehook; ?>');
		});
		//]]>
	</script>
<?php
}

?>